Name: ksquirrel-libs
Summary: Ksquirrel - image viewer for KDE 
Group: Graphical desktop/KDE
Version: 0.7.1
Release: %mkrel 1

License: LGPL 
Source: http://downloads.sourceforge.net/ksquirrel/ksquirrel-libs-%{version}.tar.bz2
# fix freetype detection
Patch: ksquirrel-libs-0.7.0-freetype_check_fix.patch

URL: http://ksquirrel.sf.net 

BuildRoot: %{_tmppath}/%{name}-%{version}-root 

BuildRequires: djvulibre
BuildRequires: gettext-devel
BuildRequires: kdelibs-devel
BuildRequires: libjasper-devel
BuildRequires: libpixman-devel
BuildRequires: libsvg-cairo-devel
BuildRequires: libtiff-devel
BuildRequires: libungif-devel
BuildRequires: netpbm
BuildRequires: OpenEXR-devel
BuildRequires: transfig

Requires: kdelibs

%description 
Ksquirrel is an image viewer for KDE implemented using OpenGL. 
You should have your videocard specific drivers been installed.

ksquirrel-libs is a set of image codecs for KSquirrel
or other viewers.

%package	devel
Summary:  	Development files for ksquirrel
Group: 		Graphical desktop/KDE
Requires:	%{name} = %{version}

%description devel
Hk_classes header files for application development.

%prep 
%setup -q
#%patch -p1 -b .freetype_check_fix

%build
autoconf
%configure2_5x --libdir=%{_libdir}/ksquirrel-libs
%make

%install 
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# ship pkgconfig to %_libdir, make install is probably confused by --libdir
%if "%{_lib}" != "lib"
mv %{buildroot}%{_prefix}/lib/pkgconfig %{buildroot}%{_libdir}/pkgconfig
%endif

%clean 
rm -rf $RPM_BUILD_ROOT 

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%{_bindir}/*
%doc %{_docdir}/%{name}/%{version}/
%{_libdir}/ksquirrel-libs/
%{_datadir}/ksquirrel-libs

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/ksquirrellibs.pc


%changelog
* Fri Aug 31 2007 Funda Wang <fundawang@mandriva.org> 0.7.1-1mdv2008.0
+ Revision: 76443
- add ldconfig
- add more BuildRequires
- New versino 0.7.1

* Tue May 15 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.7.0-1mdv2008.0
+ Revision: 27010
- Added more missing BuildRequires (libjasper-devel, libtiff-devel,
  libungif-devel, netpbm, OpenEXR-devel).
- Added missing BuildRequires for gettext-devel.
- Comment freetype_check_fix patch on spec.
- Updated to 0.7.0.
- Added freetype_check_fix patch, to fix configure freetype detection.


* Thu Aug 10 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/10/06 09:08:27 (55313)
- Arg, forgot again the Source

* Thu Aug 10 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/10/06 09:07:03 (55312)
- New Release 0.6.3

* Tue Jul 04 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 07/04/06 16:44:48 (38370)
import ksquirrel-libs-0.6.2-1mdk

* Sun Jan 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.2-1mdk
- New release 0.6.2

* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 0.6.1-3mdk
- ship pkgconfig to correct dir, fixes x86_64 build

* Thu Dec 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-2mdk
- Add Requires

* Sat Dec 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-1mdk
- New release 0.6.1
- new devel package

* Sat Dec 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-1mdk
- New release 0.6.0
- Remove patch 0 : Merged Upstream

* Mon Nov 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-0.pre9.3mdk
- Use %%{1}mdv2007.0

* Sat Nov 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-0.pre9.2mdk
- Fix build for amd64

* Thu Nov 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-0.pre9.1mdk
- initial release for sylvie with a big help from Blino : THANKS

